SDL_SetLogPriorityPrefix(3)

NAME
SDL_SetLogPriorityPrefix - Set the text prepended to log messages of a given priority.

SYNOPSIS
#include <SDL3/SDL_log.h>

bool SDL_SetLogPriorityPrefix(SDL_LogPriority priority, const char *prefix);

DESCRIPTION
By default SDL_LOG_PRIORITY_INFO and below have no prefix, and SDL_LOG_PRIORITY_WARN and higher have a prefix showing their priority, e.g. "WARNING: ".

This function makes a copy of its string argument, prefix, so it is not necessary to keep the value of prefix alive after the call returns.

FUNCTION PARAMETERS

priority
    the SDL_LogPriority to modify.

prefix
    the prefix to use for that log priority, or NULL to use no prefix.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetLogPriorities(3), SDL_SetLogPriority(3)